GCloud CLI
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update GCloud CLI action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Execute: gcloud version",
"type": "GOOGLE_CLOUD_CLI",
"trigger_time": "ON_EVERY_EXECUTION",
"setup_commands": [
"apt-get update && apt-get -y install git"
],
"execute_commands": [
"gcloud version"
],
"shell": "SH",
"version": "521.0.0",
"application_name": "boxwood-builder-150909",
"integration": {
"identifier": "gcp"
}
}'STATUS200 OK